Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/embed/users \
--header 'Authorization: Bearer <token>'{
"Resources": [
{
"active": true,
"displayName": "Blobby",
"emails": [
{
"primary": true,
"value": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co"
}
],
"groups": [
{
"display": "All Embed Users",
"value": "4GcvQ2D9"
},
{
"display": "Omni",
"value": "nqGuU_uh"
}
],
"id": "2212aecf-a2ba-4d99-b23b-f615bc4c6522",
"meta": {
"created": "2024-09-30T20:25:01.822Z",
"lastModified": "2024-09-30T20:51:47.558Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co",
"embedEmail": null,
"embedEntity": "omni",
"embedExternalId": "blobby-manager"
}
],
"itemsPerPage": 1,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 1
}Returns a list of embed users, sorted by creation time. Use the List users endpoint to retrieve standard users.
curl --request GET \
--url https://{instance}.omniapp.co/api/scim/v2/embed/users \
--header 'Authorization: Bearer <token>'{
"Resources": [
{
"active": true,
"displayName": "Blobby",
"emails": [
{
"primary": true,
"value": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co"
}
],
"groups": [
{
"display": "All Embed Users",
"value": "4GcvQ2D9"
},
{
"display": "Omni",
"value": "nqGuU_uh"
}
],
"id": "2212aecf-a2ba-4d99-b23b-f615bc4c6522",
"meta": {
"created": "2024-09-30T20:25:01.822Z",
"lastModified": "2024-09-30T20:51:47.558Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "embed-user-i_4TrNwyVTu34bZaC35VJVD3-pknp4YF7V8_Bi4TMdw@blobsrus.embed-exploreomni.co",
"embedEmail": null,
"embedEntity": "omni",
"embedExternalId": "blobby-manager"
}
],
"itemsPerPage": 1,
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"startIndex": 1,
"totalResults": 1
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
Filter embed users using the userName or embedExternalId fields with SCIM operators.
| Operator | Description | Example |
|---|---|---|
eq | Exact match | userName eq "blob.ross@blobsrus.co" |
co | Contains substring | embedExternalId co "sales" |
Case sensitivity:
userName, embedExternalId) are case-insensitiveeq, EQ, co, CO) are case-insensitiveembedExternalId) comparisons are case-sensitive, per SCIM specUsernames should be URL-encoded when passed as filters. For example, userName eq "user@example.com" will become userName%20eq%20%22user%40example.com%22 when encoded.
The number of users to return
An integer index that determines the starting point of the sorted result list
List of embed users
The list of embed users
Show child attributes
SCIM schema information for the response
The number of embed users returned in the current page
The total number of embed users matching the query
The starting index of the current page in the result set
Was this page helpful?